Page MenuHomePhabricator

Resolved topics should be able to be deleted or suppressed without reopening them first
Closed, ResolvedPublic

Description

  1. As a user who can edit other users' post, log in to betalabs, and "Mark as resolved" some of topics on the Flow board.
  2. Then, click on the '# comment" under the title of the topic that you've just resolved - the option 'Delete' will be displayed. For some users, there will be 'Suppress' option too.
  3. Click on 'Delete' or 'Suppress' option and enter some text into 'Please explain..." and click to confirm the action - the warning appears "This topic is resolved, so further activity is not possible."

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterAllow moderating resolved topic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2016, 10:49 PM
Catrope renamed this task from Resolved topics display non-functional Delete/Suppress options for posts to Resolved topics should be able to be deleted or suppressed without reopening them first.Aug 15 2016, 9:06 PM
Catrope moved this task from Untriaged to Ready for Pickup on the Collab-Team-Q1-July-Sep-2016 board.
Catrope added a subscriber: Catrope.

The issue here IMO is that deleting and resolving resolved topics should not be blocked, it should be allowed. You can work around this by reopening the topic first but you shouldn't have to.

Two issues are described here

  • (from the issue description) posts in resolved topics have options 'Delete' and 'Suppress'. When clicked, those options cannot be performed unless the topics is re-open.
  • (from @Catrope comment) resolved topics should have options Delete and Suppress, so the resolved topics can be deleted/suppressed without re-opening them.

Change 308116 had a related patch set uploaded (by Sbisson):
Allow moderating resolved topic

https://gerrit.wikimedia.org/r/308116

SBisson claimed this task.Sep 2 2016, 1:35 AM

Change 308116 merged by jenkins-bot:
Allow moderating resolved topic

https://gerrit.wikimedia.org/r/308116

Checked in betalabs

  • resolved topics can be deleted/suppressed without re-opening them
  • comments in resolved topics can also be deleted/suppressed without re-opening a topic
jmatazzoni closed this task as Resolved.Oct 11 2016, 12:38 AM
Framawiki reopened this task as Open.Nov 1 2016, 5:46 PM

Hello, on frwiki for some time I cannot again hide flow topics if they are closed, the "hide" button is not visible in the "..." menu.

Trizek-WMF closed this task as Resolved.Nov 2 2016, 2:20 PM

Hello, on frwiki for some time I cannot again hide flow topics if they are closed, the "hide" button is not visible in the "..." menu.

I've checked what is supposed to work as defined on T142779#2605500 on mediawiki.org where I'm a sysop:

  • resolved topics can be deleted/suppressed without re-opening them: works
  • comments in resolved topics can also be deleted/suppressed without re-opening a topic: works

@Framawiki, "hide" option ("cacher") is not included on these options (see the documentation).